Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003839 [JEDI VCL] 00 JVCL Components crash always 2006-07-26 08:57 2006-08-30 07:45
Reporter viovanov View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.20
Summary 0003839: GDI obj leak
Description Regarding TJVListView:

When using your listview the number of GDI objects keeps growing. This means that any app that uses it will eventually crash. The limit for win XP is 10.000 GDI objects (I checked using Win Task Manager). With just one TJVListView filled with 50 items, you get an "Canvas doesn't alllow drawing" in 1 min after starting to move a window on top of the ListView.

I hope you bug gets fixed soon,
Best regards,
  Vlad Iovanov
Additional Information
Tags No tags attached.
Attached Files

- Relationships
related to 0003602resolvedAHUser Memory leak in TJvListView 

-  Notes
(0009871)
obones (administrator)
2006-07-27 00:55

Well, I'm sorry, but I'm not seeing this kind of behaviour at all.
Please provide the zipped sources of a sample application showing this problem, after having tested with the latest available version:

http://jvcl.sf.net/daily/ [^]
(0009872)
obones (administrator)
2006-07-27 00:56

In particular, see Issue 0003602 which was fixed by revision 10386 in SVN.
(0010041)
obones (administrator)
2006-08-30 07:45

No answers, assuming this is fixed

- Issue History
Date Modified Username Field Change
2006-07-26 08:57 viovanov New Issue
2006-07-27 00:55 obones Note Added: 0009871
2006-07-27 00:55 obones Status new => feedback
2006-07-27 00:56 obones Note Added: 0009872
2006-07-27 00:56 obones Relationship added related to 0003602
2006-08-30 07:45 obones Status feedback => resolved
2006-08-30 07:45 obones Fixed in Version => Daily / SVN
2006-08-30 07:45 obones Resolution open => fixed
2006-08-30 07:45 obones Assigned To => obones
2006-08-30 07:45 obones Note Added: 0010041


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker